%{?nodejs_find_provides_and_requires}

%global packagename grunt-legacy-log
%global enable_tests 0

Name:		nodejs-grunt-legacy-log
Version:	0.1.2
Release:	5%{?dist}
Summary:	The Grunt 0.4.x logger

License:	MIT
URL:		https://github.com/gruntjs/grunt-legacy-log.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(hooker)
BuildRequires:	npm(colors)
BuildRequires:	npm(lodash)
BuildRequires:	nodejs-grunt-legacy-log-utils
BuildRequires:	nodejs-underscore-dot-string
%endif

Requires:	nodejs

%description
The Grunt 0.4.x logger.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep underscore.string
%nodejs_fixdep colors

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.2-5
- Fix dependency on npm(colors)

* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.2-4
- Rebuild to turn off testing again, due to failures in mock

* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.2-3
- More work on dependencies

* Mon Oct 19 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.2-2
- Fix build dependencies

* Mon Oct 19 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.2-1
- Initial packaging
